<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Prints a particular instance of releasestatusmw
 *
 * You can have a rather longer description of the file as well,
 * if you like, and it can span multiple lines.
 *
 * @package    mod_releasestatusmw
 * @copyright  2016 Your Name <your@email.address>
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

//defined('MOODLE_INTERNAL') || die();

// Replace releasestatusmw with the name of your module and remove this line.

require_once(dirname(dirname(dirname(__FILE__))).'/config.php');
//require_once(__DIR__ . '/../../config.php');
require_once(dirname(__FILE__).'/lib.php');
require_once($CFG->dirroot.'/mod/releasestatusmw/locallib.php');

$id = optional_param('id', 0, PARAM_INT); // Course_module ID, or
$answer = optional_param('answer', 0, PARAM_INT);
$confirm = optional_param('confirm', 0, PARAM_INT);

if ($id && $answer) {
    $cm         = get_coursemodule_from_id('releasestatusmw', $id, 0, false, MUST_EXIST);
    $course     = $DB->get_record('course', array('id' => $cm->course), '*', MUST_EXIST);
    $releasestatusmw  = $DB->get_record('releasestatusmw', array('id' => $cm->instance), '*', MUST_EXIST);
} else {
    error('You must specify a course_module ID or an instance ID');
}

require_login($course, true, $cm);

// Print the page header.

$PAGE->set_url('/mod/releasestatusmw/release.php', array('id' => $cm->id));
$PAGE->set_title(format_string($releasestatusmw->name));
$PAGE->set_heading(format_string($course->fullname));

/*
 * Other things you may want to set - remove if not needed.
 * $PAGE->set_cacheable(false);
 * $PAGE->set_focuscontrol('some-html-id');
 * $PAGE->add_body_class('releasestatusmw-'.$somevar);
 */

// Output starts here.
echo $OUTPUT->header();

// Replace the following lines with you own code.
//echo $OUTPUT->heading('Yay! It works!');

// $releasealreadycompleted = has_user_answer_completed($releasestatusmw->id, $USER->id);
// if($releasealreadycompleted){
$answer = current(get_user_releasestatusmw_answer($releasestatusmw->id, $USER->id));
if($answer->completed == 1 && $answer->submittime > 0){
	$outputend = $OUTPUT->box(get_string('alreadydone', 'releasestatusmw', userdate($answer->submittime, '', $CFG->timezone)), 'generalbox boxaligncenter');
	$outputend .= $OUTPUT->box_start('center');
	$coursebtn = new single_button(new moodle_url('/course/view.php', array('id'=>$course->id)), get_string('returntocourse', 'releasestatusmw'), 'get');
	$outputend .= $OUTPUT->box($OUTPUT->render($coursebtn), 'lessonbutton standardbutton');
	$outputend .= $OUTPUT->box_end();
	echo $outputend;
}
else{
	if($confirm != '1'){
		$outputrequest  = $OUTPUT->box_start('generalbox boxaligncenter');
		$outputrequest .= get_string("confirmrelease", "releasestatusmw");		
		$yesbtn = new single_button(new moodle_url('/mod/releasestatusmw/release.php', array('id'=>$id,'answer'=>$answer,'confirm'=>'1')), get_string('yes', 'releasestatusmw'), 'get');
		$outputrequest .= $OUTPUT->box($OUTPUT->render($yesbtn), 'lessonbutton standardbutton');
		$nobtn = new single_button(new moodle_url('/course/view.php', array('id'=>$course->id)), get_string('no', 'releasestatusmw'), 'get');
		$outputrequest .= $OUTPUT->box($OUTPUT->render($nobtn), 'lessonbutton standardbutton');
		$outputrequest .= $OUTPUT->box_end();
		echo $outputrequest;
	}
	else {		
		$success = end_releasestatusmw_answer($releasestatusmw->id, $USER->id, $PAGE->course->id);
			
		if(!$success){
			$outputrequest  = $OUTPUT->box_start('generalbox boxaligncenter');
			$outputrequest .= get_string("tryagainrequestrelease", "releasestatusmw");
			$requestreleasebtn = new single_button(new moodle_url('/mod/releasestatusmw/release.php', array('id'=>$id,'answer'=>$releasestatusmw->id,'confirm'=>'1')), get_string('send', 'releasestatusmw'), 'get');
			$outputrequest .= $OUTPUT->box($OUTPUT->render($requestreleasebtn), 'lessonbutton standardbutton');
			$coursebtn = new single_button(new moodle_url('/course/view.php', array('id'=>$course->id)), get_string('cancel', 'releasestatusmw'), 'get');
			$outputrequest .= $OUTPUT->box($OUTPUT->render($coursebtn), 'lessonbutton standardbutton');
			$outputrequest .= $OUTPUT->box_end();
			echo $outputrequest;
		}
		else {
			$outputend = $OUTPUT->box(get_string('requestreleasedone', 'releasestatusmw'), 'generalbox boxaligncenter');
			$outputend .= $OUTPUT->box_start('center');
			$coursebtn = new single_button(new moodle_url('/course/view.php', array('id'=>$course->id)), get_string('returntocourse', 'releasestatusmw'), 'get');
			$outputend .= $OUTPUT->box($OUTPUT->render($coursebtn), 'lessonbutton standardbutton');
			$outputend .= $OUTPUT->box_end();
			echo $outputend;
		}
	}
}
/////////////////////////////////////////////////////////////////////////////

// Finish the page.
echo $OUTPUT->footer();