<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Settings used by the lesson releasestatusmw, were moved from mod_edit
 *
 * @package mod_releasestatusmw
 * @copyright  2017 PJSC
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or late
 **/

defined('MOODLE_INTERNAL') || die;

if ($ADMIN->fulltree) {
    require_once($CFG->dirroot.'/mod/releasestatusmw/locallib.php');

    // Introductory explanation that all the settings are defaults for the add lesson form.
    $settings->add(new admin_setting_heading('mod_releasestatusmw/releasestatusmwintro', '', get_string('configintro', 'releasestatusmw')));

    // External service settings.
    $settings->add(new admin_setting_heading('mod_releasestatusmw/extserviceaccessdata', get_string('extserviceaccessdata', 'releasestatusmw'), ''));
    
    $settings->add(new admin_setting_configtext('mod_releasestatusmw/mwurl', get_string('mwurl', 'releasestatusmw'),
    		get_string('configmwurl', 'releasestatusmw'), NULL, PARAM_TEXT));
    
    $settings->add(new admin_setting_configtext('mod_releasestatusmw/mwusername', get_string('mwusername', 'releasestatusmw'),
    		get_string('configmwusername', 'releasestatusmw'), NULL, PARAM_TEXT));
    
    $settings->add(new admin_setting_configtext('mod_releasestatusmw/mwpassword', get_string('mwpassword', 'releasestatusmw'),
    		get_string('configmwpassword', 'releasestatusmw'), NULL, PARAM_TEXT));
    
    $settings->add(new admin_setting_configtext('mod_releasestatusmw/mwtokenpath', get_string('mwtokenpath', 'releasestatusmw'),
    		get_string('configmwtokenpath', 'releasestatusmw'), NULL, PARAM_TEXT));
    
    $settings->add(new admin_setting_configtext('mod_releasestatusmw/mwexecpath', get_string('mwexecpath', 'releasestatusmw'),
    		get_string('configmwexecpath', 'releasestatusmw'), NULL, PARAM_TEXT));
    
    $settings->add(new admin_setting_configtext('mod_releasestatusmw/mwsentgradeextservname', get_string('mwsentgradeextservname', 'releasestatusmw'),
    		get_string('configmwsentgradeextservname', 'releasestatusmw'), NULL, PARAM_TEXT));   

}
